Description

When | was re-entering an asteroid, | noticed the re-entry effect weren't affecting the ship behind it. So, to test the theory | opened
the solar panel, and they broke under the air pressure. But, when they broke, the asteroid ahead of me disappeared and the game
started lagging immensely! | switched to the map view and back and the ship view, and the view was zoomed out all of the way and |
couldn't zoom back in. | checked Debug Toolbar and there was a giant list of NullReferenceException that was constantly updating.

UPDATE: When | tried to stage to see if that affected anything the game crashed, but without leaving any logs or even saying KSP
has crashed. When | reloaded the game, the save had been reverted to just before | re-entered the atmosphere.

History

#1 - 04/02/2014 08:49 AM - Ted

- Status changed from New to Need More Info

Do you still have the output_log for this session? A NullReferenceException by itself is not a lot to go on, unfortunately.

#2 - 04/02/2014 09:15 AM - sciencegey
- File output_log.txt added

This log isn't from the same session, but it is when | reloaded the game and tried to 'fly' the asteroid | was using before. The same problems with
extreme lag and far zoomed out view, but there was also a kraken-like force that propelled my well past 1,000 km/s! | checked the debug menu again
and saw the same error(s)

#3 - 04/02/2014 09:37 PM - DannySwish

I'm getting NullReferenceExceptions on ships I've built after attempting to time warp or physics warp. The game lets me time warp up to 5X, but if | try
to go higher, it goes back to 1X and alerts me that you cannot time warp a ship under acceleration. Phantom force then pushes the ship. The ship
also then snaps at 4X physics warp.

#4 - 11/26/2014 11:07 AM - Squelch
- Status changed from Need More Info to Closed

- % Done changed from 0 to 100

There is not nearly enough information to work with on this issue. We need specifics on the cause of, and the events leading up to the
NullReferences, not just reports of their presence.
